
Figure - Bug #111439
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110868 (New): BSP-BVT测试-上/下电测试

【AF】【EVT】【power】【偶现一次】屏幕背光亮，右上角只显示时间和wifi标识，其余地方均显示黑屏，
点击和滑动均无法解除黑屏进入launcher
2022-08-25 11:10 - SZTS_TEST 邹涛

Status: CLOSED Start date: 2022-08-25

Priority: High Due date: 2022-08-26

Assignee: SZTS_TEST 邹涛 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_20220930

Need_Info: -- Found Version: 0.0.0.20220824_alpha_private_userdebug

Resolution: -- Degrated: --

Severity: Critical Verified Version: 0.0.0.20220830_alpha_private_userdebug

Reproducibility: Rarely Fixed Version: 2022-08-30

Test Type: Bring Up Test Root cause:

Description

前置条件：

1、DUT各模块功能正常且处于开机状态

操作步骤：

1、板子保持开机状态，静置一晚上12H

2、第二天查看板子状态是否正常

实际结果：

1、屏幕背光亮，右上角只显示时间和wifi标识，其余地方均显示黑屏，点击和滑动均无法解除黑屏进入launcher

预期结果：

1、屏幕正常显示始终屏保，点击屏幕即可解除屏保进入launcher页面

History

#1 - 2022-08-30 14:38 - SZTS_TEST 邹涛

- File logcat2222.txt added

#2 - 2022-08-30 18:00 - CD FW-王伟

- Assignee changed from CD FW-王伟 to CD FW-廖涛

#3 - 2022-08-30 18:38 - CD FW-廖涛

- Assignee changed from CD FW-廖涛 to SZTS_TEST 邹涛

- Target version set to 592

- Verified Version set to 0.0.0.20220830_alpha_private_userdebug

- Fixed Version set to 2022-08-30

■ Current conclusion（当前的状态）（简洁明了的说明）

进程 Block 住主要资源，导致其他服务无响应。

■ My analysis（详细的分析过程）

日志：

08-24 07:26:51.393  2213 24322 W System.err: java.net.BindException: bind failed: EADDRINUSE (Address already in use)
08-24 07:26:51.393  2213 24322 W System.err:     at libcore.io.IoBridge.bind(IoBridge.java:150)

08-24 07:26:51.393  2213 24322 W System.err:     at java.net.PlainSocketImpl.socketBind(PlainSocketImpl.java:162)

08-24 07:26:51.393  2213 24322 W System.err:     at java.net.AbstractPlainSocketImpl.bind(AbstractPlainSocketImpl.java:427)

08-24 07:26:51.393  2213 24322 W System.err:     at java.net.ServerSocket.bind(ServerSocket.java:377)

08-24 07:26:51.393  2213 24322 W System.err:     at java.net.ServerSocket.<init>(ServerSocket.java:237)

08-24 07:26:51.393  2213 24322 W System.err:     at com.thundercomm.remotecontrolservice.RemoteSocketService.startServer(RemoteSocketService.java:91)

08-24 07:26:51.393  2213 24322 W System.err:     at com.thundercomm.remotecontrolservice.RemoteSocketService.restartServer(RemoteSocketService.java:119)

08-24 07:26:51.394  2213 24322 W System.err:     at com.thundercomm.remotecontrolservice.RemoteSocketService.access$100(RemoteSocketService.java:11)

08-24 07:26:51.394  2213 24322 W System.err:     at com.thundercomm.remotecontrolservice.RemoteSocketService$3.run(RemoteSocketService.java:101)

08-24 07:26:51.394  2213 24322 W System.err:     at java.lang.Thread.run(Thread.java:920)

08-24 07:26:51.395  2213 24322 W System.err: Caused by: android.system.ErrnoException: bind failed: EADDRINUSE (Address already in use)

08-24 07:26:51.395  2213 24322 W System.err:     at libcore.io.Linux.bind(Native Method)

08-24 07:26:51.395  2213 24322 W System.err:     at libcore.io.ForwardingOs.bind(ForwardingOs.java:141)

08-24 07:26:51.395  2213 24322 W System.err:     at libcore.io.ForwardingOs.bind(ForwardingOs.java:141)

08-24 07:26:51.395  2213 24322 W System.err:     at libcore.io.IoBridge.bind(IoBridge.java:146)

08-24 07:26:51.395  2213 24322 W System.err:     ... 9 more

08-24 07:26:51.395  2213 24326 W System.err: java.net.BindException: bind failed: EADDRINUSE (Address already in use)

08-24 07:26:51.396  2213 24326 W System.err:     at libcore.io.IoBridge.bind(IoBridge.java:150)

08-24 07:26:51.396  2213 24326 W System.err:     at java.net.PlainSocketImpl.socketBind(PlainSocketImpl.java:162)

08-24 07:26:51.396  2213 24326 W System.err:     at java.net.AbstractPlainSocketImpl.bind(AbstractPlainSocketImpl.java:427)

08-24 07:26:51.396  2213 24326 W System.err:     at java.net.ServerSocket.bind(ServerSocket.java:377)

08-24 07:26:51.396  2213 24326 W System.err:     at java.net.ServerSocket.<init>(ServerSocket.java:237)

08-24 07:26:51.396  2213 24326 W System.err:     at com.thundercomm.remotecontrolservice.RemoteSocketService.startServer(RemoteSocketService.java:91)

08-24 07:26:51.396  2213 24326 W System.err:     at com.thundercomm.remotecontrolservice.RemoteSocketService.restartServer(RemoteSocketService.java:119)

08-24 07:26:51.396  2213 24326 W System.err:     at com.thundercomm.remotecontrolservice.RemoteSocketService.access$100(RemoteSocketService.java:11)

08-24 07:26:51.396  2213 24326 W System.err:     at com.thundercomm.remotecontrolservice.RemoteSocketService$3.run(RemoteSocketService.java:101)

08-24 07:26:51.396  2213 24326 W System.err:     at java.lang.Thread.run(Thread.java:920)

08-24 07:26:51.397  2213 24326 W System.err: Caused by: android.system.ErrnoException: bind failed: EADDRINUSE (Address already in use)

08-24 07:26:51.397  2213 24326 W System.err:     at libcore.io.Linux.bind(Native Method)

08-24 07:26:51.397  2213 24326 W System.err:     at libcore.io.ForwardingOs.bind(ForwardingOs.java:141)

08-24 07:26:51.397  2213 24326 W System.err:     at libcore.io.ForwardingOs.bind(ForwardingOs.java:141)

08-24 07:26:51.397  2213 24326 W System.err:     at libcore.io.IoBridge.bind(IoBridge.java:146)

08-24 07:26:51.397  2213 24326 W System.err:     ... 9 more

从日志中看，是因为网络从连接到断开，控制器服务器监听消息报错后，执行重启控制器服务器，因为监听报错位置的重启没有做控制，失败后马上进

行下一次重启，并且可能存在多个线程执行重启操作，导致其他进程被 Block 住，从而产生黑屏问题。

解决方案：

1. 调整网络状态判断逻辑，若是断网的情况，则关闭控制器服务器，监听网络状态，等待网络恢复后重新创建控制器服务器；

2. 针对需要重启控制器服务器的情况，全局统一处理，并且在多次尝试之间增加等待间隔时间；

■ Next action / ■ Submit URL （下一步解析计划 / 或解析完成后， 贴上提交链接）

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/RemoteControlServer/+/144626

#4 - 2022-08-30 18:39 - CD FW-廖涛

- Due date set to 2022-08-26

- % Done changed from 0 to 100

#5 - 2022-08-31 20:03 - CD TPM-申艳艳

- Status changed from New to RESOLVED

#6 - 2022-09-03 11:45 - CDTS_TEST 王成
- Status changed from RESOLVED to VERIFIED

暂未复现，先关闭

#7 - 2022-09-03 11:45 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

#8 - 2022-09-14 11:51 - CD TPM-申艳艳

- Category set to CD-FW

#9 - 2022-09-16 09:49 - CD SWPM-杨宏伟

- Target version changed from 592 to VX1_MCE_FSE_V2.0_20220930

#10 - 2023-04-06 18:34 - CD BSP-杜磊

- Subject changed from 【BSP】【EVT】【power】【偶现一次】屏幕背光亮，右上角只显示时间和wifi标识，其余地方均显示黑屏，点击和滑动均无法解除

黑屏进入launcher to 【AF】【EVT】【power】【偶现一次】屏幕背光亮，右上角只显示时间和wifi标识，其余地方均显示黑屏，点击和滑动均无法解除黑

屏进入launcher

Files

中科创达软件股份有限公司20220825-104901.mp4 1.7 MB 2022-08-25 SZTS_TEST 邹涛

logcat2222.txt 11.7 MB 2022-08-30 SZTS_TEST 邹涛
